-- ┌                                               ┐
-- │          Text languages (TeX and MD)          │
-- └                                               ┘
local lsp = vim.lsp

local capabilities = require("lsp-options").capabilities
local on_attach = require("lsp-options").on_attach

-- ┌                                               ┐
-- │                   Markdown                    │
-- └                                               ┘
lsp.config("marksman", {
    capabilities = capabilities,
    on_attach = on_attach,
})

-- ┌                                               ┐
-- │                     LaTeX                     │
-- └                                               ┘
lsp.config("texlab", {
    capabilities = capabilities,
    on_attach = on_attach,
})

-- ── Enable configs ───────────────────────────────────────────────
local enable = vim.lsp.enable
enable("marksman")
enable("texlab")
